#pragma once

#include <nostalgia/core/color.hpp>

namespace studio {

[[nodiscard]]
constexpr nostalgia::core::Color16 applySelectionColor(
		nostalgia::core::Color16 const color) noexcept {
	namespace core = nostalgia::core;
	auto const r = core::red16(color) / 2;
	auto const g = (core::green16(color) + 20) / 2;
	auto const b = (core::blue16(color) + 31) / 2;
	return core::color16(r, g, b);
}

}